Lead Source Tracking
LeadSourceTracking objects represent lead source tracking information from AppFolio®. Skywalk API allows you to obtain the following lead source tracking attributes from AppFolio®.
The LeadSourceTracking Object
Attributes
applicationsstring
Number of applications recieved for this lead source type
Example:
"301"
approvedApplicationsstring
Number of approved applications recieved for this lead source type
Example:
"72"
convertedTenantsstring
Number of converted tenants recieved for this lead source type
Example:
"63"
guestCardInquiriesstring
Number of guest card inquiries recieved for this lead source type
Example:
"853"
showingsstring
Number of showings recieved for this lead source type
Example:
"551"
sourcestring
Name of this lead source type
Example:
"Driving By"
The LeadSourceTracking Object
{
"applications": "301",
"approvedApplications": "72",
"convertedTenants": "63",
"guestCardInquiries": "853",
"showings": "551",
"source": "Driving By"
}
Get All LeadSourceTracking
GET /v1/lead-source-tracking
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The lead source tracking endpoint returns a list of all lead source tracking in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
propertyIdselect
AppFolio ID of a Property to serve as a filter.
propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.
ownerIdselect
AppFolio ID of an Owner to serve as a filter.
dateRangeselect
Date Range for report.
Default Value:
this_month_to_date
Possible Values:
today
this_week
this_week_to_date
this_month
this_month_to_date
this_quarter
this_quarter_to_date
this_year_to_date
last_year
last_year_to_date
yesterday
last_week
last_week_to_date
last_month
last_month_to_date
last_quarter
last_quarter_to_date
last_7_days
last_30_days
last_60_days
last_90_days
trailing_12_months
next_7_days
next_30_days
next_60_days
next_90_days
next_week
next_month
next_quarter
until_1_week_ago
until_1_month_ago
all_time
dateFromdate
Date to given in MM/DD/YYYY (e.g. 01/31/2021)
dateTodate
Date to given in MM/DD/YYYY (e.g. 01/31/2021)
Returns
The standard List Response Format with a data property containing an array of LeadSourceTracking objects.
GET /v1/lead-source-tracking
curl -X GET 'https://api.skywalkapi.com/v1/lead-source-tracking' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/lead-source-tracking",
"query": {},
"count": 2,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/lead-source-tracking?cursor=abcdefg"
},
"data": [
{
"applications": "301",
"approvedApplications": "72",
"convertedTenants": "63",
"guestCardInquiries": "853",
"showings": "551",
"source": "Driving By"
},
{
"applications": "10",
"approvedApplications": "9",
"convertedTenants": "9",
"guestCardInquiries": "13",
"showings": "12",
"source": "Had friend who lived in building"
}
]
}